<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/basicinfo/Dt_AreaInfo.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/basicinfo/Dt_AreaInfo.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'areaID',
            footer: "Foots",
            cnName: '区域信息',
            name: 'basicinfo/Dt_AreaInfo',
            url: "/Dt_AreaInfo/",
            sortName: "AreaCode"
        });
        const editFormFields = ref({
            "areaCode": "",
            "areaName": "",
            "areaType": "",
            "areaStatus": "",
            "areaDesc": ""
        });
        const editFormOptions = ref([
            [
                { "title": "区域编码", "field": "areaCode", type: "text" },
                { "title": "区域名称", "field": "areaName", type: "text" },
                { "title": "区域描述", "field": "areaDesc", type: "text" },
            ],
            [
                { "title": "区域类型", "field": "areaType", type: "text" },
                { "title": "区域状态", "field": "areaStatus", type: "text" },
            ]
        ]);
        const searchFormFields = ref({});
        const searchFormOptions = ref([
            [
                { "title": "区域编码", "field": "areaCode", type: "text" },
                { "title": "区域名称", "field": "areaName", type: "text" },
                { "title": "区域描述", "field": "areaDesc", type: "text" },
            ],
            [
                { "title": "区域类型", "field": "areaType", type: "text" },
                { "title": "区域状态", "field": "areaStatus", type: "text" },
            ]
        ]);
        const columns = ref([{ field: 'areaID', title: '区域ID', type: 'int', sort: true, hidden: true, width: 110, readonly: true, require: true, align: 'left' },
        { field: 'areaCode', title: '区域编号', type: 'string', sort: true, width: 110, require: true, align: 'left', sort: true },
        { field: 'areaName', title: '区域名称', type: 'string',  width: 110, align: 'left' },
        //{ field: 'areaType', title: '区域类型', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'areaStatus', title: '区域状态', type: 'int',  width: 110, align: 'left', bind: { key: "status", data: [] }  },
        { field: 'areaDesc', title: '区域描述', type: 'string', width: 180, align: 'left' },
        { field: 'createID', title: '创建ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'creater', title: '创建人', type: 'string',  width: 75, align: 'left' },
        { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 90, align: 'left', sort: true },
        { field: 'modifyID', title: '修改人ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150, hidden: true, align: 'left', sort: true },
        { field: 'spare1', title: 'Spare1', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare2', title: 'Spare2', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare3', title: 'Spare3', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare4', title: 'Spare4', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare5', title: 'Spare5', type: 'string', sort: true, width: 110, hidden: true, align: 'left' }]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
